Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.avtransport.event
Class ObjectFactory

    java.lang.Object
      org.teleal.cling.support.avtransport.event.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.teleal.cling.support.avtransport.event package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.teleal.cling.support.avtransport.event

Method Summary
`AVTransportURI` | `createAVTransportURI()` Create an instance of `AVTransportURI`
`AVTransportURIMetaData` | `createAVTransportURIMetaData()` Create an instance of `AVTransportURIMetaData`
`CurrentMediaDuration` | `createCurrentMediaDuration()` Create an instance of `CurrentMediaDuration`
`CurrentPlayMode` | `createCurrentPlayMode()` Create an instance of `CurrentPlayMode`
`CurrentRecordQualityMode` | `createCurrentRecordQualityMode()` Create an instance of `CurrentRecordQualityMode`
`CurrentTrack` | `createCurrentTrack()` Create an instance of `CurrentTrack`
`CurrentTrackDuration` | `createCurrentTrackDuration()` Create an instance of `CurrentTrackDuration`
`CurrentTrackMetadata` | `createCurrentTrackMetadata()` Create an instance of `CurrentTrackMetadata`
`CurrentTrackURI` | `createCurrentTrackURI()` Create an instance of `CurrentTrackURI`
`CurrentTransportActions` | `createCurrentTransportActions()` Create an instance of `CurrentTransportActions`
`Event` | `createEvent()` Create an instance of `Event`
`Instance` | `createInstance()` Create an instance of `Instance`
`NextAVTransportURI` | `createNextAVTransportURI()` Create an instance of `NextAVTransportURI`
`NextAVTransportURIMetaData` | `createNextAVTransportURIMetaData()` Create an instance of `NextAVTransportURIMetaData`
`NumberOfTracks` | `createNumberOfTracks()` Create an instance of `NumberOfTracks`
`PlaybackStorageMedium` | `createPlaybackStorageMedium()` Create an instance of `PlaybackStorageMedium`
`PossiblePlaybackStorageMedia` | `createPossiblePlaybackStorageMedia()` Create an instance of `PossiblePlaybackStorageMedia`
`PossibleRecordQualityMode` | `createPossibleRecordQualityMode()` Create an instance of `PossibleRecordQualityMode`
`PossibleRecordStorageMedia` | `createPossibleRecordStorageMedia()` Create an instance of `PossibleRecordStorageMedia`
`RecordMediumWriteStatus` | `createRecordMediumWriteStatus()` Create an instance of `RecordMediumWriteStatus`
`RecordStorageMedium` | `createRecordStorageMedium()` Create an instance of `RecordStorageMedium`
`TransportPlaySpeed` | `createTransportPlaySpeed()` Create an instance of `TransportPlaySpeed`
`TransportState` | `createTransportState()` Create an instance of `TransportState`
`TransportStatus` | `createTransportStatus()` Create an instance of `TransportStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.teleal.cling.support.avtransport.event

Method Detail

### createAVTransportURI

    public AVTransportURI createAVTransportURI()

  Create an instance of `AVTransportURI`

### createPlaybackStorageMedium

    public PlaybackStorageMedium createPlaybackStorageMedium()

  Create an instance of `PlaybackStorageMedium`

### createPossibleRecordQualityMode

    public PossibleRecordQualityMode createPossibleRecordQualityMode()

  Create an instance of `PossibleRecordQualityMode`

### createPossiblePlaybackStorageMedia

    public PossiblePlaybackStorageMedia createPossiblePlaybackStorageMedia()

  Create an instance of `PossiblePlaybackStorageMedia`

### createCurrentTrackDuration

    public CurrentTrackDuration createCurrentTrackDuration()

  Create an instance of `CurrentTrackDuration`

### createCurrentRecordQualityMode

    public CurrentRecordQualityMode createCurrentRecordQualityMode()

  Create an instance of `CurrentRecordQualityMode`

### createTransportState

    public TransportState createTransportState()

  Create an instance of `TransportState`

### createPossibleRecordStorageMedia

    public PossibleRecordStorageMedia createPossibleRecordStorageMedia()

  Create an instance of `PossibleRecordStorageMedia`

### createEvent

    public Event createEvent()

  Create an instance of `Event`

### createRecordMediumWriteStatus

    public RecordMediumWriteStatus createRecordMediumWriteStatus()

  Create an instance of `RecordMediumWriteStatus`

### createNextAVTransportURI

    public NextAVTransportURI createNextAVTransportURI()

  Create an instance of `NextAVTransportURI`

### createRecordStorageMedium

    public RecordStorageMedium createRecordStorageMedium()

  Create an instance of `RecordStorageMedium`

### createCurrentMediaDuration

    public CurrentMediaDuration createCurrentMediaDuration()

  Create an instance of `CurrentMediaDuration`

### createNumberOfTracks

    public NumberOfTracks createNumberOfTracks()

  Create an instance of `NumberOfTracks`

### createCurrentTransportActions

    public CurrentTransportActions createCurrentTransportActions()

  Create an instance of `CurrentTransportActions`

### createCurrentTrackURI

    public CurrentTrackURI createCurrentTrackURI()

  Create an instance of `CurrentTrackURI`

### createCurrentTrackMetadata

    public CurrentTrackMetadata createCurrentTrackMetadata()

  Create an instance of `CurrentTrackMetadata`

### createAVTransportURIMetaData

    public AVTransportURIMetaData createAVTransportURIMetaData()

  Create an instance of `AVTransportURIMetaData`

### createInstance

    public Instance createInstance()

  Create an instance of `Instance`

### createTransportPlaySpeed

    public TransportPlaySpeed createTransportPlaySpeed()

  Create an instance of `TransportPlaySpeed`

### createTransportStatus

    public TransportStatus createTransportStatus()

  Create an instance of `TransportStatus`

### createCurrentPlayMode

    public CurrentPlayMode createCurrentPlayMode()

  Create an instance of `CurrentPlayMode`

### createCurrentTrack

    public CurrentTrack createCurrentTrack()

  Create an instance of `CurrentTrack`

### createNextAVTransportURIMetaData

    public NextAVTransportURIMetaData createNextAVTransportURIMetaData()

  Create an instance of `NextAVTransportURIMetaData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.